## class SG_EXPORT osg::Timer

> A high resolution, low latency time stamper

### Public Methods

Timer()
~Timer()
static const Timer* instance()
inline double delta_s( Timer_t t1, Timer_t t2 ) const
inline double delta_m( Timer_t t1, Timer_t t2 ) const
inline double delta_u( Timer_t t1, Timer_t t2 ) const
inline double delta_n( Timer_t t1, Timer_t t2 ) const
inline double getSecondsPerTick() const
inline Timer_t tick() const
inline Timer_t tick( void ) const

### Protected Fields

double _secsPerTick
bool _useStandardClock
unsigned long* _clockAddress_32
unsigned long long* _clockAddress_64
int _cycleCntrSize
mutable unsigned long _lastClockValue
mutable unsigned long long _rollOver

## Documentation

> A high resolution, low latency time stamper

`Timer()`

`~Timer()`

`static const Timer* instance()`

`inline double delta_s( Timer_t t1, Timer_t t2 ) const`

`inline double delta_m( Timer_t t1, Timer_t t2 ) const`

`inline double delta_u( Timer_t t1, Timer_t t2 ) const`

`inline double delta_n( Timer_t t1, Timer_t t2 ) const`

`inline double getSecondsPerTick() const`

`double _secsPerTick`

`bool _useStandardClock`

`unsigned long* _clockAddress_32`

`unsigned long long* _clockAddress_64`

`int _cycleCntrSize`

`mutable unsigned long _lastClockValue`

`mutable unsigned long long _rollOver`

`inline Timer_t tick() const`

`inline Timer_t tick( void ) const`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.